Subject: Re: [PATCH v2] pinctrl-single: fix pcs_parse_pinconf() return value

From: Tony Lindgren <[email-masked]>
Date: Tue, 9 Jun 2020 11:06:31 -0700

* Drew Fustini <[email-masked]> [200608 12:52]:
> This patch causes pcs_parse_pinconf() to return -ENOTSUPP when no
> pinctrl_map is added.  The current behavior is to return 0 when
> !PCS_HAS_PINCONF or !nconfs.  Thus pcs_parse_one_pinctrl_entry()
> incorrectly assumes that a map was added and sets num_maps = 2.
...

> Fixes: 9dddb4df90d1 ("pinctrl: single: support generic pinconf")

It would be good to get an ack/tested-by from Haojian for this.

The patch looks right to me:

Acked-by: Tony Lindgren <[email-masked]>

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel